Not very helpful I know, but I had MC installed on 2.4, updated to 2.5 and it still works OK.